#32/64
Summary:        Sony PlayStation Portable (PSP) emulator
Name:           ppsspp
Version:        1.10.3
Release:        %mkrel 1
License:        GPLv2+
Packager:       Agent Smith  <ruidobranco@yahoo.com.br>
Group:          Emulators
Url:            http://www.ppsspp.org

Source0:        %{name}-%{version}.tar.xz
Patch1:         ppsspp-1.10.3-git-version.patch
Patch3:		ppsspp-1.7.2-mga-system-rapidjson.patch
Patch5:         ppsspp-1.7.2-mga-workaround-ffmpeg-3.1-or-later.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}
BuildRequires:  cmake
BuildRequires:  ImageMagick
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}mesaglu1-devel
BuildRequires:  %{_lib}glew-devel
BuildRequires:  %{_lib}png-devel
BuildRequires:  %{_lib}zip-devel
BuildRequires:  %{_lib}SDL-devel
BuildRequires:  zlib1-devel
BuildRequires:  %{_lib}snappy-devel
BuildRequires:  rapidjson
Requires:	%{_lib}glew1.11
Requires:	%{_lib}zip4

%description
PPSSPP is a cross-platform Sony PlayStation Portable (PSP) emulator.

PPSSPP can run your PSP games on your PC in full HD resolution, and play
them on Android too. It can even upscale textures that would otherwise be
too blurry as they were made for the small screen of the original PSP.


#----------------------------------------------------------------------------

%prep
%setup -q
%patch1 -p1
%patch3 -p1
%patch5 -p1

# Fix version string
sed s,"unknown_version","%{version}-%{release}",g -i git-version.cmake

# Make sure those are not used
rm -rf ext/zlib
rm -rf ext/native/ext/libzip
#rm -rf ext/native/ext/libpng17
# We need to keep the CMakeLists.txt for USE_SYSTEM_SNAPPY and GLEW_FOUND
rm -rf ext/glew/{GL,*.c}
rm -rf ext/snappy/*.{cpp,h}

%build

%cmake \
  -DBUILD_SHARED_LIBS=OFF \
  -DHEADLESS=OFF \
  -DUSE_FFMPEG=ON \
  -DUSE_SYSTEM_FFMPEG=ON \
  -DUSE_SYSTEM_LIBZIP=ON \
  -DUSE_SYSTEM_SNAPPY=ON

%make_build

%install
# no make install for ppsspp, only for its bundled deps
install -D -m755 build/PPSSPPSDL %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a build/assets %{buildroot}%{_gamesdatadir}/%{name}

install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=PPSSPP
GenericName=PSP Emulator
Comment=PlayStation Portable Simulator Suitable for Playing Portably (PPSSPP)
Exec=ppsspp %f
Icon=ppsspp
Categories=Game;X-MandrivaLinux-MoreApplications-Emulators;
EOF

install -d %{buildroot}%{_iconsdir}
cp -a icons/hicolor %{buildroot}%{_iconsdir}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%doc LICENSE.TXT README.md
%{_datadir}/applications/%{name}.desktop
%{_gamesbindir}/%{name}
%{_gamesdatadir}/%{name}/
%{_iconsdir}/hicolor/*/apps/%{name}.png

%changelog

* Tue Jan 19 2021 Agent Smith  <ruidobranco@yahoo.com.br> 1.10.3-1pclos2020.src.rpm
- Updated the package PPSSPP, with latest sources. 

* Fri Jul 24 2020 Agent Smith  <ruidobranco@yahoo.com.br> 1.10-1pclos2020.src.rpm
- Updated the package PPSSPP, with latest sources. Dropped ppsspp-1.4.0-datapath.patch

* Fri Apr 24 2020 Agent Smith  <ruidobranco@yahoo.com.br> 1.9.3-1pclos2020.src.rpm
- Updated the package PPSSPP, with latest sources.

* Wed Jun 26 2019 Agent Smith  <ruidobranco@yahoo.com.br> 1.8.0-1pclos2019.src.rpm
- Updated the package PPSSPP, with latest sources, added system-rapidjson.patch,ffmpeg-3.1-or-later.patch.
- Added dependency on rapidjson
- Dropped datapath.patch

* Wed Jul 12 2017 Agent Smith  <ruidobranco@yahoo.com.br> 1.4.2-1pclos2017.src.rpm
- Created the package PPSSPP, with latest sources, Spec's adapted from Mageia and Rosa Linux



